#!/bin/bash
# Script Name:  weekly-update.v2.sh
# Beschreibung: Wöchentliches Update-Skript für Linux-Systeme
# Aufruf:       bash ./weekly-update.v2.sh
# Autor:        Patrick Asmus
# Web:          https://www.media-techport.de
# Git-Reposit.: https://git.media-techport.de/scriptos/weekly-updater.git
# Version:      2.0.3
# Datum:        15.07.2023
# Modifikation: Header angepasst, Tagesprüfung rausgenommen
#####################################################

# Logverzeichnis erstellen
mkdir -p /var/log/script-logs

# Variablen
SCRIPT_NAME=weekly-update.v2.sh
HOSTNAME=$(hostname)
MAIL=root
LOGDIR=/var/log/script-logs

# Aktualisiere das System und speichere die Ausgabe in eine Log-Datei
sudo apt update && sudo apt upgrade -y &> /var/log/script-logs/weekly-update.v2.log

    # Überpruefe, ob das Update erfolgreich war
    if [ $? -ne 0 ]; then
        # Sende eine E-Mail, wenn das Update fehlgeschlagen ist
        log_contents=$(cat $LOGDIR/$SCRIPT_NAME.log)
        echo -e "Das Update auf $HOSTNAME ist fehlgeschlagen! \n\nLog-Inhalt: \n\n$log_contents" | mail -s "Woechentliches Update auf $hostname fehlgeschlagen" $MAIL
    else
        # Raeume das System auf
        sudo apt-get autoremove --purge -y
        sudo apt-get clean -y
    fi

exit 0
